from setuptools import setup

setup(name='rrap',
      version='1.1.0',
      description='A metagenomic read recruitment data pipeline',
      url='https://github.com/Kojiconner/rrap_metag_pkg/',
      author='Conner Kojima',
      author_email='cykojima@usc.edu',
      license='MIT',
      packages=['rrap'],
      scripts=['bin/rrap', 'bin/rpkm_heater', 'bin/rrap_test'],
      install_requires=[
        "joblib==0.16.0",
        "scikit-learn==0.23.1",
        "scipy>=1.5.2",
        "threadpoolctl==2.1.0"
      ],
      python_requires=">=3.7.3",
      package_dir={"": "src"},
      classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
      ],
      zip_safe=False,
      data_files=[("tests", ["tests/metaG_paths.txt"]),
                  ("tests/reference", ["tests/reference/HTCC1062.fasta", "tests/reference/lambda_virus.fa"]),
                  ("tests/metaGs/dir_01", ["tests/metaGs/dir_01/reads_toy_R2.fastq", "tests/metaGs/dir_01/reads_toy_R1.fastq"]),
                  ("tests/metaGs/dir_02", ["tests/metaGs/dir_02/ERR864077_toy_R1.fastq", "tests/metaGs/dir_02/ERR864077_toy_R2.fastq",
                                           "tests/metaGs/dir_02/SRR11803378_toy_R1.fastq", "tests/metaGs/dir_02/SRR11803378_toy_R2.fastq"]),
                  ("tests/output", ["tests/output/allgenomes_cat_test.fna"]),
                  ("tests/output/bam/test", ["tests/output/bam/test/ERR864077.bam", "tests/output/bam/test/ERR864077.bam.bai",
                                             "tests/output/bam/test/SRR11803378.bam", "tests/output/bam/test/SRR11803378.bam.bai",
                                             "tests/output/bam/test/reads.bam", "tests/output/bam/test/reads.bam.bai"]),
                  ("tests/output/index/test", ["tests/output/index/test/test.1.bt2", "tests/output/index/test/test.2.bt2",
                                               "tests/output/index/test/test.3.bt2", "tests/output/index/test/test.4.bt2",
                                               "tests/output/index/test/test.rev.1.bt2", "tests/output/index/test/test.rev.2.bt2"]),
                  ("tests/output/rpkm/test", ["tests/output/rpkm/test/test_counts.csv", "tests/output/rpkm/test/test_rpkm.csv",
                                               "tests/output/rpkm/test/test_rpkm_noLog.csv"]),
                  ("tests/output/stats/test", ["tests/output/stats/test/ERR864077.bam.stats", "tests/output/stats/test/SRR11803378.bam.stats",
                                               "tests/output/stats/test/reads.bam.stats"])])
